Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi.support
Class CallRequestEndpoint

    java.lang.Object
      org.mule.endpoint.DynamicURIInboundEndpoint
          org.mule.module.ibeans.spi.support.DynamicRequestEndpoint
              org.mule.module.ibeans.spi.support.CallRequestEndpoint

All Implemented Interfaces:
  Serializable, FlowConstructAware, ImmutableEndpoint, InboundEndpoint, Startable, Stoppable, MessageSource, MessageRequesting

    public class CallRequestEndpoint

extends DynamicRequestEndpoint

A dynamic inbound endpoint used for request calls defined using the `Call` annotation. Note that call requests look the same as normal call endpoints except request calls do not define any headers or payload.

The endpoint scheme is the only part of the URI that cannot be replaced at runtime.

See Also:
  `CallOutboundEndpoint`, Serialized Form

Field Summary
`protected Log` | `logger` logger used by this class

Fields inherited from class org.mule.module.ibeans.spi.support.DynamicRequestEndpoint
`EVAL_PARAM_PROPERTY, localConnector, parser, uri`

Fields inherited from class org.mule.endpoint.DynamicURIInboundEndpoint
`endpoint`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`CallRequestEndpoint(MuleContext context, AnnotatedEndpointData epData)`

Method Summary
`protected Map<String,Object>` | `getPropertiesForTemplate(MuleMessage message)`
`List` | `getResponseTransformers()` The transformers used when a response is returned from invoking this endpoint.
`List` | `getTransformers()` Transformers are responsible for transforming data when it is received or sent by the component (depending on whether this endpoint is a receiver or not).

Methods inherited from class org.mule.module.ibeans.spi.support.DynamicRequestEndpoint
`equals, getConnector, getEndpointURIForMessage, getLocalConnector, hashCode, request`

Methods inherited from class org.mule.endpoint.DynamicURIInboundEndpoint
`getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly, request, setEndpointURI, setFlowConstruct, setListener, start, stop`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

Constructor Detail

### CallRequestEndpoint

    public CallRequestEndpoint(MuleContext context,
                               AnnotatedEndpointData epData)

Method Detail

### getPropertiesForTemplate

    protected Map<String,Object> getPropertiesForTemplate(MuleMessage message)

  Overrides:
    `getPropertiesForTemplate` in class `DynamicRequestEndpoint`

### getTransformers

    public List getTransformers()

  Description copied from interface: `ImmutableEndpoint`
  Transformers are responsible for transforming data when it is received or sent by the component (depending on whether this endpoint is a receiver or not). A tranformation for an inbound event can be forced by the user by calling the inbound event.getTransformedMessage(). A tranformation for an outbound event is called or when the Service dispatchEvent() or sendEvent() methods are called. If an endpoint has no transformers an empty list is returned.

  Specified by:
    `getTransformers` in interface `ImmutableEndpoint`
  Overrides:
    `getTransformers` in class `DynamicURIInboundEndpoint`
  Returns:
    the transformers to use when receiving or sending data

### getResponseTransformers

    public List getResponseTransformers()

  Description copied from interface: `ImmutableEndpoint`
  The transformers used when a response is returned from invoking this endpoint. If an endpoint has no response transformers an empty list is returned.

  Specified by:
    `getResponseTransformers` in interface `ImmutableEndpoint`
  Overrides:
    `getResponseTransformers` in class `DynamicURIInboundEndpoint`
  Returns:
    the transformer to use when receiving the response data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.